config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on pdfjam.conf.new:
if [ -e etc/pdfjam.conf ]; then
  cp -a etc/pdfjam.conf etc/pdfjam.conf.new.incoming
  cat etc/pdfjam.conf.new > etc/pdfjam.conf.new.incoming
  mv etc/pdfjam.conf.new.incoming etc/pdfjam.conf.new
fi

config etc/pdfjam.conf.new

